Bug 918476 - “hostnamectl set-hostname <name>” does not work on rawhide
Summary: “hostnamectl set-hostname <name>” does not work on rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 10:34 UTC by Mike FABIAN
Modified: 2013-04-20 20:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:52:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Mike FABIAN 2013-03-06 10:34:56 UTC
I updated a default install in qemu-kvm of Fedora 18 to rawhide using yum.

After the update finished and  I had rebooted, I tried to change the host name
like this:

[root@Fedora-18-x86_64-netinst ~]# hostnamectl set-hostname Fedora-rawhide-x86_64
Failed to issue method call: Did not receive a reply. Possible causes
include: the remote application did not send a reply, the message bus
security policy blocked the reply, the reply timeout expired, or the
network connection was broken.
[root@Fedora-18-x86_64-netinst ~]#

After setting the SELinux mode to permissive, it worked:

[root@Fedora-18-x86_64-netinst ~]# setenforce 0
[root@Fedora-18-x86_64-netinst ~]# hostnamectl set-hostname Fedora-rawhide-x86_64
[root@Fedora-18-x86_64-netinst ~]# cat /etc/hostname
fedora-rawhide-x86_64
[root@Fedora-18-x86_64-netinst ~]#

Comment 1 Miroslav Grepl 2013-03-07 09:24:06 UTC
Fixed in selinux-policy-3.11.1-84.fc18

Comment 2 Fedora End Of Life 2013-04-03 20:28:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora Update System 2013-04-08 11:42:05 UTC
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19

Comment 4 Fedora Update System 2013-04-08 15:50:35 UTC
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).

Comment 5 Alexander Volovics 2013-04-09 15:29:31 UTC
After installing Fedora 19 Alpha with selinux-policy-3.12.1-28:
# hostnamectl --static set-hostname kat.localhost.localdomain should work
but checking with less /etc/hostname only shows "localhost.localdomain"

Also:
# hostnamectl set-hostname kat.localhost.localdomain gives
Failed to issue method call: Access denied

Idem for the other variants. So it still does not work.

Comment 6 Daniel Walsh 2013-04-09 15:46:14 UTC
a49950ea9e0f203843c15c7304c6c1178b7c0935 fixes this in git.

Comment 7 Fedora Update System 2013-04-16 11:34:53 UTC
selinux-policy-3.12.1-31.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-31.fc19

Comment 8 Fedora Update System 2013-04-16 16:14:20 UTC
Package selinux-policy-3.12.1-31.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-31.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5812/selinux-policy-3.12.1-31.fc19
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-04-19 05:52:57 UTC
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-04-20 20:07:52 UTC
selinux-policy-3.12.1-31.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.